Name:		draksnapshot
Summary:	Snapshot utility
Group:		Archiving/Backup
Version:	0.20.3
Release:	%mkrel 15
License:	GPL
URL:	   	http://www.mandrivalinux.com
Source0:	%{name}-%{version}.tar.lzma
Patch0:		draksnapshot-applet-fix-due-to-new-perl.patch
Patch1:		draksnapshot-0.20.3-do-no-crash-without-hal.patch
Patch2:		pk-support.diff
BuildRequires:	gettext 
BuildRequires:	perl_checker
BuildRequires:	intltool
BuildArch: 	noarch
Requires:	rsnapshot
Requires:	drakxtools >= 10.59

%description
This is a backup program that uses rsync to take backup snapshots of
filesystems.  It uses hard links to save space on disk.

%prep
%setup -q
%patch0 -p0 -b .fix-due-to-new-perl
%patch1 -p1
%patch2 -p1

%build
%make
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%version-%release'"';!' draksnapshot-applet

%install
%makeinstall_std PREFIX=%buildroot

# so that we remove cron entry on removal:
mkdir %{buildroot}%_sysconfdir/cron.d
touch %{buildroot}%_sysconfdir/cron.d/rsnapshot

%{find_lang} %{name}

%files -f %name.lang
%ghost %_sysconfdir/cron.d/rsnapshot
%_bindir/*
%_datadir/%{name}
%_datadir/autostart/autostart-draksnapshot.desktop
%_datadir/gnome/autostart/gnome-autostart-draksnapshot.desktop
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_sbindir/*
%_sysconfdir/X11/xinit.d/draksnapshot-applet.xinit
/usr/libexec/draksnapshot-config
/usr/share/polkit-1/actions/org.mageia.draksnapshot-config.policy
%perl_vendorlib/MDV


%changelog
* Sun Sep 18 2016 tv <tv> 0.20.3-15.mga6
+ Revision: 1053605
- BR perl-MDK-Common-devel -> perl_checker

* Sat Jun 18 2016 pterjan <pterjan> 0.20.3-14.mga6
+ Revision: 1022114
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.20.3-13.mga6
+ Revision: 952765
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.20.3-12.mga6
+ Revision: 930528
- Mageia 6 Mass Rebuild

* Wed Jun 03 2015 tv <tv> 0.20.3-11.mga5
+ Revision: 822865
- fix draksnapshot-config not starting (mga#11395)

* Wed Oct 15 2014 umeabot <umeabot> 0.20.3-10.mga5
+ Revision: 741756
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.3-9.mga5
+ Revision: 678842
- Mageia 5 Mass Rebuild

* Thu Jul 10 2014 tv <tv> 0.20.3-8.mga5
+ Revision: 651111
- convert to pkexec (mga#11395)

* Fri Oct 18 2013 umeabot <umeabot> 0.20.3-7.mga4
+ Revision: 503954
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.20.3-6.mga3
+ Revision: 349092
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - update RPM group

* Mon Sep 24 2012 blino <blino> 0.20.3-5.mga3
+ Revision: 297238
- do not require hal anymore, it is deprecated, draksnapshot should be ported to udisks2 (#7565)
- fix crash when hal is not running (#3032)

* Thu Jul 05 2012 zezinho <zezinho> 0.20.3-4.mga3
+ Revision: 267865
- cleanup spec

  + ennael <ennael>
    - fix post and postun

* Mon Jun 20 2011 ze <ze> 0.20.3-3.mga2
+ Revision: 110233
+ rebuild (emptylog)

* Mon Jun 20 2011 ze <ze> 0.20.3-2.mga2
+ Revision: 110229
- fixed draksnapshot-applet crash due perl changes
- some minor arranges
- use rpm native macro instead variables

* Wed Feb 09 2011 ennael <ennael> 0.20.3-2.mga1
+ Revision: 49567
- clean mdk version
- imported package draksnapshot

